<?php

/**
 * Single Post Options
 *
 * @package resort_motel
 */

$wp_customize->add_section(
	'resort_motel_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'resort-motel' ),
		'panel' => 'resort_motel_theme_options',
	)
);



// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'resort_motel_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Resort_Motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'resort_motel_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Resort_Motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'resort_motel_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new resort_motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'resort_motel_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new resort_motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'resort_motel_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Resort_Motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Show / Hide Tag.
$wp_customize->add_setting(
	'resort_motel_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'resort_motel_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Resort_Motel_Toggle_Switch_Custom_Control(
		$wp_customize,
		'resort_motel_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Tag', 'resort-motel' ),
			'section' => 'resort_motel_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'resort_motel_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'resort_motel_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','resort-motel'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'resort-motel' ),
		),
		'section'=> 'resort_motel_single_post_options',
		'type'=> 'text'
	)
);